#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

class frilenser{
public:
    double a, p;
};

bool operator <(frilenser a, frilenser b){
    return a.p > b.p;
}

int main()
{
    int n;
    cin >> n;
    vector<frilenser> vec(n);
    for(int i = 0; i < n; ++i){
        cin >> vec[i].a >> vec[i].p;
        vec[i].p *= 0.01;
    }
    sort(vec.begin(), vec.end());
    vector<double> res(n, 0);
    res[0] = vec[0].a;
    for(int i = 1; i < n; ++i){
        res[i] = res[i-1] + vec[i].a;
    }
    double max = 0;
    for(int i = 0; i < n; ++i){
        res[i] *= vec[i].p;
        if(res[i] > max){
            max = res[i];
        }
    }
    cout << fixed << showpoint << max;
    return 0;
}